#include <ctype.h>
#include <string.h>
#include <stdio.h>
#include <locale.h>

#define MY_SIZE 15

int
main()
{
	setlocale(LC_ALL,"en_US.iso88591");
	char my_string[MY_SIZE];
	fscanf(stdin, "%s", my_string);
	int len;
	for(len = 0; my_string[len] != '\0'; len++)
		continue;
	
	char *iter;
	for(len = 0, iter = &my_string; *iter != '\0'; iter++, len++)
		continue;
	
	size_t len2 = strlen(my_string);
	
	 char my_string2[MY_SIZE] = "ABCDEFG";
	 strcpy(my_string2, my_string);

	 char my_string3[MY_SIZE] = "abcd";
	 char my_string4[MY_SIZE*2] = "efgn";
	 strcat(my_string4,my_string3);

	printf("string1:%s\n\tlen: %d\n\tsize_t len2: %zu\nstring2:%s\nstring3:%s\n",my_string, len, len2, my_string2, my_string3);

	 int rez = strcmp("ab", "ba");

	char my_string5[MY_SIZE] = "QwErTyUiOpAsDf";

	for(len = 0; len < MY_SIZE; len++)
		my_string5[len] = tolower(my_string5[len]);
	printf("tolower: %s\n", my_string5);

	for(len = 0; len < MY_SIZE; len++)
		my_string5[len] = toupper(my_string5[len]);
	printf("toupper: %s\n", my_string5);
	return 0;
}
